{#
 @version 5.13.4
 @param array aSurveyInfo
 @param array aResponses
 @param string inputValue
 @param array questionAttributes
 @param integer surveyid
 @param integer extrasurveyqid
 @param string token
 @param string newUrl
 @param integer maxResponse (questionAttributes.maxResponse)
 @param fillAnswerWith string (questionAttributes.extraSurveyFillAnswer)
 @param array language (langage string)
 @param array questionExtraSurveyReset
#}
<ul id="extrasurvey-list-{{ qid }}-{{ surveyid }}" class="list-group list-group-{{ qid }}">
    {% for srid, response in aResponses %}
        {% if response.submitdate %}
            {% set iconstate= '<i class="fa fa-check-square-o text-success pull-right" aria-hidden="true"></i>' %}
            {% set linkstateclass= 'text-success' %}
        {% else %}
            {% set iconstate= '<i class="fa fa-square-o text-danger pull-right" aria-hidden="true"></i>' %}
            {% set linkstateclass= '' %}
        {% endif %}
        {% set text = response.text %}
        {% if response.url %}
            <li class='list-group-item item-response-url' data-response='{{ C.Html.encode(json_encode(response)) }}'>
                {{ iconstate }}
                <button type="button" class="btn btn-link btn-sm btn-questionextrasurvey-unlink" data-extra-surveyid="{{surveyid}}" data-url="{{ response.unlinkurl }}" data-confirmtext="{{ response.unlinkurl }}" title="{{ C.Html.encode(language['Unlink']) }}">
                    <i class="fa fa-times text-danger" aria-hidden="true"></i>
                    <span class="sr-only">{{ language['Unlink'] }}</span>
                </button>
                <a href="{{ response.url }}" class="{{ linkstateclass }}" target="frame-questionExtraSurvey" data-extra-surveyid="{{surveyid}}" data-srid="{{ response.id }}">
                    {% if questionAttributes.extraSurveyShowId %} <span class='badge'>{{ response.id }}</span>{% endif %}
                    {{ response.text }}
                </a>
            </li>
        {% else %}
            <li class='list-group-item item-no-url disable text-muted' data-response='{{ C.Html.encode(json_encode(response)) }}'>
                {% set text = '' ~ text %}
                {% if questionAttributes.extraSurveyShowId %} <span class='badge'>response.id</span>{% endif %}
                {{ iconstate }} <span class="{{ linkstateclass }}"> <i class="fa fa-exclamation-triangle text-muted" aria-hidden="true"></i> {{ response.text }}</span>
            </li>
        {% endif %}
    {% endfor %}
    {% if (not questionAttributes.maxResponse|trim|length or count(aResponses) < questionAttributes.maxResponse) %}
        <li class="list-group-item item-add-reponse-url">
            <button type="button"  data-extra-surveyid="{{surveyid}}" data-questionextrasurveymodalrelated="modal-questionExtraSurvey-link-{{ extrasurveyqid }}" class="add-reponse-url btn btn-link btn-block">
                <div class="text-left"><i class="fa fa-plus-circle" aria-hidden="true"></i>
                {{ language['createNewreponse'] }}
                </div>
            </button>
        </li>
    {% endif %}
</ul>
{% if inputName %}
    <div class="answer-item text-item hidden" aria-hidden="true">
        <input type="text" class="form-control" name="{{ inputName }}" id="answer{{ inputName }}" value="{{ inputValue }}">
    </div>
    <script>
        $("#answer{{ inputName }}").trigger("keyup");
    </script>
{% endif %}
<!-- Used to reset current response when close -->
{% for key, resetvalue in questionExtraSurveyReset %}
    <input type="hidden" name="questionExtraSurveyReset[{{ key }}]" value="{{ resetvalue }}">
{% endfor %}
<script>
    $("#extrasurvey-list-{{ qid }}-{{ surveyid }}").trigger("html:updated");
</script>
{# Modal #}
<div id="modal-questionExtraSurvey-link-{{ extrasurveyqid }}" class="modal in modal-questionExtraSurvey-link" tabindex="-1" role="dialog">
  <div class="modal-dialog modal-lg" data-select2-id="5">
    <div class="modal-content" data-select2-id="4">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
        <div class="h4 modal-title">{{ sprintf(language['Add a new %s'], language['response']) }}</div>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-xs-12 modal-select-item">
            <select
                style = "width:100%"
                class = "form-control select-initiative"
                name = "select-initiative-{{ extrasurveyqid }}"
                id = "select-initiative-{{ extrasurveyqid }}"
                data-source = "{{ C.Html.encode(linkSearchUrl) }}"
            ></select>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <a href="#" class="btn btn-primary btn-survey btn-extrasurveycreate hidden"  data-extra-surveyid="{{ surveyId }}" data-action="extrasurvey-create" target="frame-questionExtraSurvey">{{ sprintf(language['Create a new %s'], language['response']) }}</a>
        <button type="button" class="btn btn-primary btn-survey btn-extrasurveylink hidden" data-action="extrasurvey-link" data-extra-surveyid="{{ surveyId }}">{{ language['Link'] }}</button>
        <button type="button" class="btn btn-info btn-survey btn-extrasurveylink hidden" data-action="extrasurvey-linkedit" data-extra-surveyid="{{ surveyId }}">{{ language['Link and edit'] }}</button>
        <a href="#" class="hidden link-extrasurvey-linkedit" target="frame-questionExtraSurvey">{{ language['Edit'] }}</a><!-- hidden link to trigger click -->
        <button type="button" class="btn btn-default" data-dismiss="modal">{{ language['Close'] }}</button>
      </div>
    </div>
  </div>
</div>
